%global momorel 4
%global md5sum_src0 09034669acec52f9d9818d9a31c032d5

Summary: .NET language binding for the GTK+ toolkit
Name: gnome-sharp
Version: 2.16.0
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: LGPL
URL: http://www.mono-project.com/
%NoSource 0 ftp://ftp.gnome.org/pub/gnome/sources/%{name}/2.16/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: gnome-sharp-2.16.0-gtkhtml.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: pkgconfig
BuildPrereq: gtk+-devel >= 2.10.3
BuildPrereq: mono-devel >= 1.1.17.1
BuildPrereq: gtk-sharp-devel >= 2.10.0
BuildPrereq: libart_lgpl-devel >= 2.3.17-4m
BuildPrereq: gnome-vfs-devel >= 2.16.0
BuildPrereq: libgnomecanvas-devel >= 2.14.0-2m
BuildPrereq: libgnomeui-devel >= 2.16.0
BuildPrereq: libgnomeprintui-devel >= 2.12.1-3m
BuildPrereq: glib-devel >= 2.12.3
BuildPrereq: gnome-panel-devel >= 2.16.0
BuildPrereq: librsvg-devel >= 2.16.0
BuildPrereq: gtkhtml-devel >= 3.12.0
BuildPrereq: vte-devel >= 0.14.0
Requires: mono-core >= 1.1.17.1
Requires: gtk+ >= 2.10.3

%description
Gtk# is a .NET language binding for the GTK+ toolkit and assorted GNOME
libraries.  Gtk# is free software, licensed under the GNU LGPL.  The target
is the 2.6 platform.

%package devel
Summary: .NET language binding for the GTK+ toolkit (devel)
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk+-devel
Requires: mono-devel
Requires: gtk-sharp-devel
Requires: libart_lgpl-devel
Requires: gnome-vfs-devel
Requires: libgnomecanvas-devel
Requires: libgnomeui-devel
Requires: libgnomeprintui-devel
Requires: glib-devel
Requires: gnome-panel-devel
Requires: librsvg-devel
Requires: gtkhtml-devel
Requires: vte-devel

%description devel
gnome-sharp devel

%prep
%setup -q
%patch0 -p1 -b .gtkhtml

%build
autoconf
%configure --program-prefix=""
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING HACKING NEWS README
%{_bindir}/gconfsharp2-schemagen
%{_libdir}/lib*sharpglue-*.so

%{_prefix}/lib/gtk-sharp-2.0/*

%{_prefix}/lib/mono/gac/art-sharp
%{_prefix}/lib/mono/gac/gconf-sharp-peditors
%{_prefix}/lib/mono/gac/gconf-sharp
%{_prefix}/lib/mono/gac/gnome-sharp
%{_prefix}/lib/mono/gac/gnome-vfs-sharp
%{_prefix}/lib/mono/gac/gtkhtml-sharp
%{_prefix}/lib/mono/gac/rsvg-sharp
%{_prefix}/lib/mono/gac/vte-sharp

%{_prefix}/lib/mono/gac/policy.2.?.art-sharp
%{_prefix}/lib/mono/gac/policy.2.?.gconf-sharp-peditors
%{_prefix}/lib/mono/gac/policy.2.?.gconf-sharp
%{_prefix}/lib/mono/gac/policy.2.?.gnome-sharp
%{_prefix}/lib/mono/gac/policy.2.?.gnome-vfs-sharp
%{_prefix}/lib/mono/gac/policy.2.?.gtkhtml-sharp
%{_prefix}/lib/mono/gac/policy.2.?.rsvg-sharp
%{_prefix}/lib/mono/gac/policy.2.?.vte-sharp

%{_prefix}/lib/mono/gtk-sharp-2.0/art-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/gconf-sharp-peditors.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/gconf-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/gnome-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/gnome-vfs-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/gtkhtml-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/rsvg-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/vte-sharp.dll

%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.?.art-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.?.gconf-sharp-peditors.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.?.gconf-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.?.gnome-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.?.gnome-vfs-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.?.gtkhtml-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.?.rsvg-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.?.vte-sharp.dll

%{_datadir}/gapi-2.0/*.xml

%files devel
%defattr(-,root,root)
%{_libdir}/lib*sharpglue-*.a
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Mar 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-4m)
- add patch0 for gtkhtml-3.14.0

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-3m)
- delete all patches (no needs)

* Wed Aug 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-2m)
- delete duplicate dir %%{_prefix}/lib/mono/gtk-sharp-2.0

* Tue Aug 29 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-1m)
- initial build
